%global pypi_name immutables

Name:           python-%{pypi_name}
Version:        0.14
Release:        1%{?dist}
Summary:        Immutable Collections

License:        Apache License, Version 2.0
URL:            https://github.com/MagicStack/immutables
Source0:        %{pypi_source}

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
immutables An immutable mapping type for Python.The underlying datastructure is
a Hash Array Mapped Trie (HAMT) used in Clojure, Scala, Haskell, and other
functional languages. This implementation is used in CPython 3.7 in the
contextvars module (see PEP 550 and PEP 567 for more details).Immutable
mappings based on HAMT have O(log N) performance for both

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
immutables An immutable mapping type for Python.The underlying datastructure is
a Hash Array Mapped Trie (HAMT) used in Clojure, Scala, Haskell, and other
functional languages. This implementation is used in CPython 3.7 in the
contextvars module (see PEP 550 and PEP 567 for more details).Immutable
mappings based on HAMT have O(log N) performance for both


%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitearch}/%{pypi_name}
%{python3_sitearch}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%changelog
* Fri Nov 06 2020 ykarel <ykarel@redhat.com> - 0.14-1
- Initial package.
